Bug 2263696 - Review Request: ansible-collection-community-internal_test_tools - Internal test tools for other collections
Summary: Review Request: ansible-collection-community-internal_test_tools - Internal t...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2275006
TreeView+ depends on / blocked
 
Reported: 2024-02-11 00:36 UTC by Maxwell G
Modified: 2024-05-08 18:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:
code: fedora-review?


Attachments (Terms of Use)

Description Maxwell G 2024-02-11 00:36:15 UTC
Spec URL: https://gotmax23.fedorapeople.org/reviews/ansible-collection-community-internal_test_tools/ansible-collection-community-internal_test_tools.spec
SRPM URL: https://gotmax23.fedorapeople.org/reviews/ansible-collection-community-internal_test_tools/ansible-collection-community-internal_test_tools-0.11.0-1.fc39.src.rpm

Description:
The community.library_inventory_filtering_v1 collection includes helpers for
use with other collections that allow inventory plugins to offer common
filtering functionality.

Fedora Account System Username: gotmax23

Comment 1 Maxwell G 2024-02-11 00:37:27 UTC
There's a false positive fedora-review error about licenses.json. That file is indeed installed in the correct place. It's not a license file.

Comment 2 Maxwell G 2024-02-11 04:52:29 UTC
[fedora-review-service-build]

Comment 3 Fedora Review Service 2024-02-11 16:15:15 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7007681
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2263696-ansible-collection-community-internal_test_tools/fedora-rawhide-x86_64/07007681-ansible-collection-community-internal_test_tools/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 4 Fedora Review Service 2024-02-11 16:16:11 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7007687
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2263696-ansible-collection-community-internal_test_tools/fedora-rawhide-x86_64/07007687-ansible-collection-community-internal_test_tools/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 5 Ben Beasley 2024-05-08 18:58:36 UTC
This package could *potentially* be approved as-is, but I’d like to see your thoughts on the discussion of hidden files and patch upstream status below.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file licenses.json is not marked as %license
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/LicensingGuidelines/#_license_text

  This is not an issue (OK/spurious):
  /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/extra/licenses.json
  is not really a license file, and all of the real license files are properly
  marked.

    $ rpm -qL -p results/ansible-collection-community-internal_test_tools-0.11.0-1.fc41.noarch.rpm 
    /usr/share/licenses/ansible-collection-community-internal_test_tools/.reuse/dep5
    /usr/share/licenses/ansible-collection-community-internal_test_tools/CHANGELOG.rst.license
    /usr/share/licenses/ansible-collection-community-internal_test_tools/COPYING
    /usr/share/licenses/ansible-collection-community-internal_test_tools/LICENSES/GPL-3.0-or-later.txt
    /usr/share/licenses/ansible-collection-community-internal_test_tools/changelog.json.license
    /usr/share/licenses/ansible-collection-community-internal_test_tools/changelog.yaml.license
    /usr/share/licenses/ansible-collection-community-internal_test_tools/extra-docs.json.license
    /usr/share/licenses/ansible-collection-community-internal_test_tools/licenses.json.license
    /usr/share/licenses/ansible-collection-community-internal_test_tools/no-unwanted-files.json.license

- Considering the version-control-internal-file and hidden-file-or-dir reports
  flagged by rpmlint,

    ansible-collection-community-internal_test_tools.noarch: E: version-control-internal-file /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/.gitignore
    ansible-collection-community-internal_test_tools.noarch: E: version-control-internal-file /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/changelogs/.gitignore
    ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/.ansible-lint
    ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/.gitignore
    ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/.yamllint
    ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/changelogs/.gitignore
    ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/licenses/ansible-collection-community-internal_test_tools/.reuse
    ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/licenses/ansible-collection-community-internal_test_tools/.reuse

  * The .reuse files look like they should be retained as part of the REUSE
    license data.
  * The .gitignore files look like they only make sense in the git repository,
    and should be excluded from the package. Furthermore, .gitignore files are
    specifically called out as an example of what to exclude in
    https://docs.fedoraproject.org/en-US/packaging-guidelines/Ansible_collections/#_unnecessary_files.
  * Since they are linter configuration files, the .ansible-lint and .yamllint
    files look like they are for upstream development and don’t make sense to
    package. However, I’m not deeply familar with ansible’s collection system.
    If you think there’s a chance these could be used at runtime, then it could
    make sense to keep them.

- Both patches lack upstream status,

   https://docs.fedoraproject.org/en-US/packaging-guidelines/#_all_patches_should_have_an_upstream_bug_link_or_comment

  The first, build_ignore.patch, is clearly only suitable as a downstream patch
  and based on
  https://docs.fedoraproject.org/en-US/packaging-guidelines/Ansible_collections/#_unnecessary_files,
  but a spec-file comment linking that section of the guidelines would be
  helpful to a reader unfamiliar with the particular conventions of ansible
  collection packaging.

  The second, remove-python-mock.patch, looks upstreamable.

NON-Issues:
===========

- Incidental duplicate files reported by rpmlint are not numerous enough or
  large enough for hardlinking to be worthwhile.

- Overall, the package appears to comply with the requirements and
  recommendations of
  https://docs.fedoraproject.org/en-US/packaging-guidelines/Ansible_collections/

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GNU General Public License, Version 3", "Unknown or
     generated". 16 files have unknown license. Detailed output of
     licensecheck in /home/ben/Downloads/review/2263696-ansible-collection-
     community-internal_test_tools/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of
     /usr/share/ansible/collections/ansible_collections, /usr/share, /usr,
     /usr/share/ansible, /usr/share/doc, /usr/share/licenses,
     /usr/share/ansible/collections

     The fedora-review output has been flagging directory ownership incorrectly
     for a while. Several of these are obviously owned by the filesystem
     package.  For the rest, we check manually. This package requires:

       (ansible-core or (ansible < 2.10.0 with ansible >= 2.9.10))

     and ansible-core owns both /usr/share/ansible/collections and
     /usr/share/ansible/collections/ansible_collections. Therefore, there is no
     problem.

[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/ansible/collections/ansible_collections, /usr/share, /usr,
     /usr/share/ansible, /usr/share/doc, /usr/share/licenses,
     /usr/share/ansible/collections

     (See the previous item.)

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 15504 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: The License field must be a valid SPDX expression.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.

     (tests pass)

[x]: Latest version is packaged.

     https://github.com/ansible-collections/community.internal_test_tools/releases

[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ansible-collection-community-internal_test_tools-0.11.0-1.fc41.noarch.rpm
          ansible-collection-community-internal_test_tools-0.11.0-1.fc41.src.rpm
=========================================================================================== rpmlint session starts ==========================================================================================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpu4kxrg8c')]
checks: 32, packages: 2

ansible-collection-community-internal_test_tools.noarch: E: version-control-internal-file /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/.gitignore
ansible-collection-community-internal_test_tools.noarch: E: version-control-internal-file /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/changelogs/.gitignore
ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/.ansible-lint
ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/.gitignore
ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/.yamllint
ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/changelogs/.gitignore
ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/licenses/ansible-collection-community-internal_test_tools/.reuse
ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/licenses/ansible-collection-community-internal_test_tools/.reuse
ansible-collection-community-internal_test_tools.noarch: W: files-duplicate /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/integration/targets/lookup__open_url_test_lookup/aliases /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/integration/targets/_fetch_url_test_module/aliases
ansible-collection-community-internal_test_tools.noarch: W: files-duplicate /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/integration/targets/lookup__open_url_test_lookup/meta/main.yml /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/integration/targets/_fetch_url_test_module/meta/main.yml
ansible-collection-community-internal_test_tools.noarch: W: files-duplicate /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.12.txt /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.10.txt:/usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.11.txt
ansible-collection-community-internal_test_tools.noarch: W: files-duplicate /usr/share/licenses/ansible-collection-community-internal_test_tools/no-unwanted-files.json.license /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.10.txt.license:/usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.11.txt.license:/usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.12.txt.license:/usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.13.txt.license:/usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.14.txt.license:(and 9 more)
ansible-collection-community-internal_test_tools.noarch: W: files-duplicate /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.14.txt /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.13.txt
ansible-collection-community-internal_test_tools.noarch: W: files-duplicate /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.17.txt /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.15.txt:/usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.16.txt
===================================================== 2 packages and 0 specfiles checked; 2 errors, 12 warnings, 7 filtered, 2 badness; has taken 0.2 s =====================================================




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 1

ansible-collection-community-internal_test_tools.noarch: E: version-control-internal-file /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/.gitignore
ansible-collection-community-internal_test_tools.noarch: E: version-control-internal-file /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/changelogs/.gitignore
ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/.ansible-lint
ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/.gitignore
ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/.yamllint
ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/changelogs/.gitignore
ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/licenses/ansible-collection-community-internal_test_tools/.reuse
ansible-collection-community-internal_test_tools.noarch: W: hidden-file-or-dir /usr/share/licenses/ansible-collection-community-internal_test_tools/.reuse
ansible-collection-community-internal_test_tools.noarch: W: files-duplicate /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/integration/targets/lookup__open_url_test_lookup/aliases /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/integration/targets/_fetch_url_test_module/aliases
ansible-collection-community-internal_test_tools.noarch: W: files-duplicate /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/integration/targets/lookup__open_url_test_lookup/meta/main.yml /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/integration/targets/_fetch_url_test_module/meta/main.yml
ansible-collection-community-internal_test_tools.noarch: W: files-duplicate /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.12.txt /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.10.txt:/usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.11.txt
ansible-collection-community-internal_test_tools.noarch: W: files-duplicate /usr/share/licenses/ansible-collection-community-internal_test_tools/no-unwanted-files.json.license /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.10.txt.license:/usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.11.txt.license:/usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.12.txt.license:/usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.13.txt.license:/usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.14.txt.license:(and 9 more)
ansible-collection-community-internal_test_tools.noarch: W: files-duplicate /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.14.txt /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.13.txt
ansible-collection-community-internal_test_tools.noarch: W: files-duplicate /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.17.txt /usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.15.txt:/usr/share/ansible/collections/ansible_collections/community/internal_test_tools/tests/sanity/ignore-2.16.txt
 1 packages and 0 specfiles checked; 2 errors, 12 warnings, 3 filtered, 2 badness; has taken 0.1 s 



Source checksums
----------------
https://github.com/ansible-collections/community.internal_test_tools/archive/0.11.0/community.internal_test_tools-0.11.0.tar.gz :
  CHECKSUM(SHA256) this package     : e571726a402198f0f1984d515463a5a07e86d3e26ccb725dd6b627cc23a0f99b
  CHECKSUM(SHA256) upstream package : e571726a402198f0f1984d515463a5a07e86d3e26ccb725dd6b627cc23a0f99b


Requires
--------
ansible-collection-community-internal_test_tools (rpmlib, GLIBC filtered):
    (ansible-core or (ansible < 2.10.0 with ansible >= 2.9.10))
    /usr/bin/python3



Provides
--------
ansible-collection-community-internal_test_tools:
    ansible-collection(community.internal_test_tools)
    ansible-collection-community-internal_test_tools



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2263696 --mock-options=--dnf
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: PHP, Java, R, Ocaml, SugarActivity, C/C++, fonts, Haskell, Python, Perl
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH


Note You need to log in before you can comment on or make changes to this bug.